#include <stdio.h>
#include <stdlib.h>

/* use: compare TRUTHFILE  RESULTFILE 
   returns the percentage of matching lines in the two files
*/

int tt, rt, tx, ty, rx, ry;

int main(int argc, char ** argv)
{
    FILE * truth;
    FILE * results;
    int n;
    int m;

    if (argc != 3) { 
        printf("use: compare TRUTHFILE  RESULTFILE\n");
        exit(1);
    }
    truth = fopen(argv[1], "r");
    results = fopen(argv[2], "r");

    n=0; m=0;
    while (fscanf(truth, "%i %i %i", &tt, &tx, &ty)==3){
        if (fscanf(results, "%i %i %i", &rt, &rx, &ry)!=3 || tt!=rt){
            printf("Bad files\n");
            exit(1);
        }
        n++;
        if (tx==rx && ty==ry) m++;
    }
    printf("Agreement %.2f \%\n", (100.0*m)/n);
    return 0;
}


